## cic-ussd-e2e

> Mocking user interaction with cic-ussd

### Setup

**Pre-requisites**

2 accounts each with:

- Initial pin set
- Some SRF Balance

**Environment**

- Node.js
- Install dependencies with `$ npm i`

### Running tests

```bash
$ npm run test
```

### Scenarios

| Test             | Description                  |
| ---------------- | ---------------------------- |
| 1_initial_menu   | Main menu > Help > Exit      |
| 2_display_sarafu | Main menu > My Sarafu > Exit |

#### Writing your own scenario

- Each scenario should exit since this test suite doesn't pass around past session info
- Control wait between menus with the `wait(time in ms)` function
- Follow any spec
- For any traversing through menus, remember to append a `*` and the next input, this is to correctly mock AT webhooks e.g.

```bash
# Initial Main menu, no input
""
# Input 1
"1"
# Input 2
"1*2"
# Input 99
"1*2*99"
```
